View Issue Details

IDProjectCategoryView StatusLast Update
0004650GNUnetcadet servicepublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.11.0pre66 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004650: libgnunetcadet fails with assertion at cadet_api.c:1660 when CADET MQ API is used
DescriptionUsing CADET with the MQ API occasionally triggers the above assertion, even though it should be impossible (har har) to trigger it as the CADET MQ implementation would be expected to do the queuing and ensure only one message gets to the service at the time.
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:28

manager   ~0011813

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2016-09-10 20:24 Christian Grothoff New Issue
2016-09-10 20:24 Christian Grothoff Status new => assigned
2016-09-10 20:24 Christian Grothoff Assigned To => Bart Polot
2017-02-21 18:28 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:28 Christian Grothoff Status assigned => resolved
2017-02-21 18:28 Christian Grothoff Resolution open => fixed
2017-02-21 18:28 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:28 Christian Grothoff Note Added: 0011813
2017-02-21 18:29 Christian Grothoff Target Version SVN HEAD => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed